Bug 1443804 - [RFE] Provide description for Hammer command to disable/enable notifications for a host.
Summary: [RFE] Provide description for Hammer command to disable/enable notifications ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hosts
Version: 6.2.8
Hardware: x86_64
OS: Linux
low
low vote
Target Milestone: 6.4.0
Assignee: Marek Hulan
QA Contact: Ales Dujicek
URL:
Whiteboard:
Depends On:
Blocks: 260381
TreeView+ depends on / blocked
 
Reported: 2017-04-20 01:21 UTC by Amit Kumar Das
Modified: 2019-11-05 23:04 UTC (History)
10 users (show)

Fixed In Version: tfm-rubygem-hammer_cli_foreman-0.13.2-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 15:27:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:28:07 UTC
Foreman Issue Tracker 19383 None None None 2017-04-26 08:42:57 UTC
Foreman Issue Tracker 24490 None None None 2018-07-31 11:20:53 UTC
Red Hat Knowledge Base (Solution) 3091631 None None None 2017-06-23 03:03:40 UTC

Description Amit Kumar Das 2017-04-20 01:21:09 UTC
Description of problem:

In satellite 6, there is not hammer command to enable/disable notifications
for a particular host.

This feature is available in GUI:
1) Hosts > All Hosts > Tick host >Select Action > Disable Notification
2) Hosts > All Hosts > Tick host >Select Action > Enable Notification

Version-Release number of selected component (if applicable):
Satellite 6.2.8

How reproducible:
#hammer host update --help
#hammer host create --help

Actual results:
No option available to enable/disable notifications for a host via hammer cli.

Expected results:
#hammer host update --name <hostname> --notifications <enable/disable>

Comment 2 Amit Kumar Das 2017-04-25 07:03:42 UTC
# hammer host update --help
Usage:
    hammer host update [OPTIONS]

Options:
--id ID
--enabled ENABLED          One of true/false, yes/no, 1/0.

# hammer host list
---|------------------------------------------|------------------|------------|---------------|------------------
ID | NAME                                     | OPERATING SYSTEM | HOST GROUP | IP            | MAC              
---|------------------------------------------|------------------|------------|---------------|------------------
8  | xxxxx-client1                            | RedHat 7.3       |            | 10.xx.yyy.199 | 00:9a:3a:01:00:1x
11 | xxxxx-client2                            | RedHat 7.1       |            | 10.xx.yyy.122 | 00:9a:3a:01:00:3x
10 | xxxxx-client2                            | RedHat 7.1       |            | 10.xx.yyy.122 | 00:9a:3a:01:00:3x
1  | xxxxx-sat62                              | RedHat 7.3       |            | 10.xx.yyy.174 | 00:9a:3a:01:00:2x
---|------------------------------------------|------------------|------------|---------------|------------------

# hammer host update --id 8 --enabled false
Host updated
# hammer host update --id 8 --enabled true
Host updated

This work fine for one host. Need to add more details in hammer help that following option is used for enable/disable notification.

Options:
--id ID
--enabled ENABLED   One of true/false, yes/no, 1/0. <<<---Used for host notification.

Comment 3 Tomer Brisker 2017-04-26 08:41:43 UTC
Updated description per comment #2. Lowering priority and severity since the option exists, just needs better documentation.

Comment 4 Tomer Brisker 2017-04-26 08:42:52 UTC
Created redmine issue http://projects.theforeman.org/issues/19383 from this bug

Comment 5 pm-sat@redhat.com 2017-06-23 12:05:06 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 6 pm-sat@redhat.com 2017-06-23 12:05:12 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 7 pm-sat@redhat.com 2017-06-23 14:03:34 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/19383 has been resolved.

Comment 8 Amit Kumar Das 2017-07-13 02:20:59 UTC
Hi - Since upstream issue is resolved, can we set target release or include this in next satellite release (6.2.11)? Please let us know if its achievable. Thanks.

Comment 16 errata-xmlrpc 2018-10-16 15:27:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.